Summary:     image display, conversion, and manipulation under X
Summary(de): Darstellen, Konvertieren und Bearbeiten von Grafiken unter X
Summary(fr): Visualisation, conversion, et manipulation d'images sous X.
Summary(tr): X altnda resim gsterme, evirme ve deiiklik yapma
Name:        ImageMagick
Version:     4.1.4
Release:     1
URL:         http://www.wizards.dupont.com/cristy/ImageMagick.html
Source:      ftp://ftp.wizards.dupont.com/pub/ImageMagick/%{name}-%{version}.tar.gz
Patch:       ImageMagick-4.1.1-libpath.patch
Copyright:   freeware
Group:       X11/Applications/Graphics
BuildRoot:   /tmp/%{name}-%{version}-root

%description
ImageMagick is an image display, conversion, and manipulation tool.
It runs under X windows.  It is very powerful in terms of it's 
ability to allow the user to edit images.  It can handle many 
different formats as well.

%description -l de
ImageMagick ist ein Tool zur Bildanzeige, -konvertierung und
-manipulation, das unter X-Windows luft. Es ist enorm leitungsfhig
in Bezug auf die Grafikmanipulationsfunktionen, die es dem Anwender
bietet, und auf die Vielfalt der untersttzten Formate.

%description -l fr
ImageMagick est un outil d'affichage, de conversion et de manipulation
d'images. Il tourne sous X Window et est trs puissant en termes
de capacit d'dition des images. Il peut aussi grer de nombreux
formats diffrents.

%description -l tr
ImageMagick bir resim gsterme, evirme ve deiiklik yapma programdr. X
Window pencereleme sistemi altnda alr. Kullancya resimler zerinde
deiiklik yapma asndan pek ok olanak sunar. Bir ok resim biimini
rahatlkla kullanabilir.

%package devel
Summary:     static libraries and header files for ImageMagick development
Summary(de): Statische Libraries und Header-Dateien fr Image Magick-Entwickler"
Summary(fr): Libraries statiques et fichiers d'en-tjte pour le dveloppement avec ImageMagick.
Summary(tr): ImageMagick ile gelitirme yapmak iin gerekli dosyalar
Group:       X11/Libraries
Requires:    %{name} = %{version}

%description devel
This is the ImageMagick development package.  It includes the static
libraries and header files for use in developing your own applications
that make use of the ImageMagick code and/or APIs.

%description -l de devel
Dies ist das ImageMagick-Entwicklerpaket. Es enthlt die statischen
Libraries und Header-Dateien zum Entwickeln von Anwendungen,
die ImageMagick-Code und/oder -APIs nutzen.

%description -l fr devel
Paquetage de dveloppement ImageMagick. Contient les bibliothques
statiques et les en-ttes utiliss pour crer vos propres applications
utilisant le code d'ImageMagick et/ou ses APIs.

%description -l tr devel
Bu paket, ImageMagick uygulama arayzn kullanan programlar gelitirmek
iin gereken balk dosyalarn ve kitaplklar ierir.

%package  perl
Summary:  libraries and modules for access to ImageMagick from perl
Group:    Development/Libraries/Perl
Requires: %{name} = %{version}, perl >= 5.005_02

%description perl
This is the ImageMagick perl support package.  It includes perl modules and
support files for access to ImageMagick library from perl without unuseful
forking or such.

%prep
%setup -q

%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s \
./configure --prefix=/usr \
            --libdir=/usr/X11R6/lib \
            --includedir=/usr/X11R6/include/X11/magick \
            --enable-shared \
            --enable-16bit-pixel \
            --enable-lzw \
            --with-x \
            --with-perl
make 

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'` ; install -d $RPM_BUILD_ROOT/$installarchlib
make prefix=$RPM_BUILD_ROOT/usr \
     PREFIX=$RPM_BUILD_ROOT/usr \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/usr/lib/perl5/5.00502/man/man3 \
     libdir=$RPM_BUILD_ROOT/usr/X11R6/lib \
     includedir=$RPM_BUILD_ROOT/usr/X11R6/include/X11/magick \
     install

strip $RPM_BUILD_ROOT/usr/{X11R6/lib/lib*.so.*.*,bin/*}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.txt
/usr/X11R6/lib/lib*.so.*.*
/usr/bin/*
%attr(-,root,man) /usr/man/man1/*

%files devel
%defattr(-,root,root)
%doc www ImageMagick.html
%dir /usr/X11R6/include/X11/magick
/usr/X11R6/include/X11/magick/*.h
/usr/X11R6/lib/lib*.a
/usr/X11R6/lib/lib*.so

%files perl
%defattr(-,root,root)
%dir /usr/lib/perl5/site_perl/5.005/%{buildarch}-linux-thread/Image
/usr/lib/perl5/site_perl/5.005/%{buildarch}-linux-thread/Image/Magick.pm
%dir /usr/lib/perl5/site_perl/5.005/%{buildarch}-linux-thread/auto/Image
%dir /usr/lib/perl5/site_perl/5.005/%{buildarch}-linux-thread/auto/Image/Magick
/usr/lib/perl5/site_perl/5.005/%{buildarch}-linux-thread/auto/Image/Magick/autosplit.ix
/usr/lib/perl5/site_perl/5.005/%{buildarch}-linux-thread/auto/Image/Magick/Magick.bs
/usr/lib/perl5/site_perl/5.005/%{buildarch}-linux-thread/auto/Image/Magick/Magick.so
%attr(-,root,man) /usr/lib/perl5/5.00502/man/man3/Image::Magick.3

%changelog
* Fri Nov 06 1998 Arne Coucheron <arneco@online.no>
  [4.1.4-1]

* Sun Oct 04 1998 Arne Coucheron <arneco@online.no>
  [4.1.2-1]

* Tue Sep 29 1998 Arne Coucheron <arneco@online.no>
  [4.1.1-1]
- added 16-bit pixel support to configure
- added a libpath patch
- added language translations

* Thu Sep 10 1998 Arne Coucheron <arneco@online.no>
  [4.1.0-1]

* Mon Aug 17 1998 Arne Coucheron <arneco@online.no>
  [4.0.9-1]
- upped requirements for perl to 5.005_02

* Sun Aug 02 1998 Arne Coucheron <arneco@online.no>
  [4.0.8-1]
- added requires perl >= 5.005_01 to perl package since I have built
  this package against it and its files has changed their locations from
  previous perl versions
- changed the %defattr macro in filelist
- changed the %files perl section to comply with perl 5.005

* Wed May  6 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- removed compiling mpeg_lib with IM (now this is separated package),
- added -q %setup parameter and removed all other parameters,
- "rm -rf $RPM_BUILD_ROOT" moved from %prep to %install,
- added %clean section,
- added URL,
- removed declaration %%{version} macro (it is predefined),
- moved html documentation to devel,
- added using %%{buildarch} macro in %files in subpackage perl (now
  ImageMagick is more portable to diffrent OSes and archs,
- added fiew missing %dir in subpackage perl,
- added using %%{name} macro in Buildroot and Source fields also in Requires
  in subpackages,
- fiew modifications and simplification in %files,
- added %defattr and %attr macros in %files (allows building package from
  non-root account).

* Fri Apr  3 1998 Khimenko Victor <khim@sch57.msk.ru>
- updated to 4.0.4
- added PerlMagick

* Thu Mar 12 1998 Jani Hakala <jahakala@cc.jyu.fi>
- updated to 4.0.3

* Fri Feb 27 1998 Jani Hakala <jahakala@cc.jyu.fi>
- updated to 4.0.2

* Sat Feb 21 1998 Jani Hakala <jahakala@cc.jyu.fi>
- updated to 4.0.1
- buildrooted

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- updated from 3.8.3 to 3.9.1
- removed PNG patch (appears to be fixed)

* Wed Oct 15 1997 Erik Troan <ewt@redhat.com>
- build against new libpng

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 20 1997 Michael Fulbright <msf@redhat.com>
- updated to version 3.8.3.
- updated source and url tags.